Bug 1434521 - Generated RHEL7 MapR images fail without mariadb-server
Summary: Generated RHEL7 MapR images fail without mariadb-server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: sahara-image-elements
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: beta
: 11.0 (Ocata)
Assignee: Luigi Toscano
QA Contact: Raissa Sarmento
URL:
Whiteboard:
Depends On:
Blocks: 1337664 1393498
TreeView+ depends on / blocked
 
Reported: 2017-03-21 16:09 UTC by Raissa Sarmento
Modified: 2017-05-17 20:10 UTC (History)
8 users (show)

Fixed In Version: sahara-image-elements-6.0.0-6.el7ost
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-05-17 20:10:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 448741 None None None 2017-03-23 07:56:55 UTC
Launchpad 1675119 None None None 2017-03-22 18:19:00 UTC

Description Raissa Sarmento 2017-03-21 16:09:45 UTC
Description of problem:

The generated RHEL7 image for MapR don't work because they try to start mariadb.service, but mariadb-server is not installed so it fails because the unit is not found. That is probably due to mapping issues regarding mysql and RHEL (https://github.com/openstack/sahara-image-elements/blob/3446f21130a137eb02c642fe086454c8ef754f57/elements/mysql/pkg-map#L23).

Found on:

sahara-image-elements-6.0.0-3.el7ost
diskimage-builder-1.27.1-0.20170302013848.65c6da5.el7ost.noarch
python-sahara-6.0.0-2.el7ost.noarch
openstack-sahara-api-6.0.0-2.el7ost.noarch
openstack-sahara-engine-6.0.0-2.el7ost.noarch
openstack-sahara-common-6.0.0-2.el7ost.noarch
openstack-sahara-6.0.0-2.el7ost.noarch

Comment 1 Red Hat Bugzilla Rules Engine 2017-03-21 16:13:45 UTC
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Comment 2 Christian Schwede (cschwede) 2017-03-22 07:31:03 UTC
This looks like a blocker for the two Sahara RFEs, that are targeted for OSP11:

https://bugzilla.redhat.com/show_bug.cgi?id=1337664
https://bugzilla.redhat.com/show_bug.cgi?id=1393498

Comment 3 Christian Schwede (cschwede) 2017-03-22 09:15:25 UTC
Is this an image different than a regular overcloud image? If so, where is this generated?

These are the packages that are installed by default on an overcloud image:

mariadb-galera-server-5.5.42-5.el7ost.x86_64
mariadb-galera-common-5.5.42-5.el7ost.x86_64
galera-25.3.5-7.el7ost.x86_64

And there is a systemctl service "mariadb.service" as well.

Are there any other logs available, showing the error you saw?

Comment 4 Luigi Toscano 2017-03-22 09:22:47 UTC
I will leave more details to Raissa, but:

- this is not an overcloud image. This is a user image, the one you run inside an existing overcloud. No tripleo involvement here.
- this was generated with sahara-image-elements. My guess is the mapping of the components in the mysql element of DIB is incorrect for RHEL7 and mariadb-server is not installed (it tries to install mysql-server and it fails during the building process). Interesting to know that this was informally tested for Newton and it was working, so not sure what happened (maybe a change in DIB).

Comment 5 Raissa Sarmento 2017-03-22 09:54:22 UTC
Luigi summed it up, it is the RHEL 7 image we use to spawn a cluster in Sahara - in this case using the MapR plugin. I logged into the instances created with the image and checked that mariadb-server wasn't installed, so the log is pretty straightforward:

Details: Cluster in Error state with a message below:
    Creating cluster failed for the following reason(s): RemoteCommandException: Error during command execution: "service mariadb restart"
    Return code: 5
    STDERR:
    Redirecting to /bin/systemctl restart  mariadb.service
    Failed to restart mariadb.service: Unit not found.

Comment 9 Raissa Sarmento 2017-03-28 14:38:39 UTC
MapR clusters spawned with RHEL images generated with sahara-image-elements now start successfully.

sahara-image-elements-6.0.0-6.el7ost.noarch
diskimage-builder-1.27.1-0.20170302013848.65c6da5.el7ost.noarch
dib-utils-0.0.11-1.el7ost.noarch

Comment 10 errata-xmlrpc 2017-05-17 20:10:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.